import { HeaderClient } from './Component.client'
import { getCachedGlobal } from '@/utilities/getGlobals'
import { Container } from '@/components/ui/Container' // Adjust path as needed
import React from 'react'

export async function Header() {
  const headerData = await getCachedGlobal('header', 1)()

  return (
    <header className="border-b border-foreground/8">
      <Container>
        <HeaderClient data={headerData} />
      </Container>
    </header>
  )
}
